<?php

session_cache_limiter('private');
session_start();
$com = "I";
include("DMMYSQLG.php");
//include("DSA3000.php");
include("DMMYSQLG.php");
 
$name="Ticket.txt"; 
if(isset($_SERVER['HTTP_USER_AGENT']) && strpos($_SERVER['HTTP_USER_AGENT'],'MSIE'))
	header('Content-Type: application/force-download');
else
	header('Content-Type: application/octet-stream');
header('Content-disposition: attachment; filename="'.$name.'"');

?>
<?php

		//Consulta Datos Empresa
		$sql_encabezado = mysqli_query($con ,"SELECT * FROM geoyos_jc.dxempres where cla_emp = '".$_SESSION['empresa']."'");
		@$row_encabezado = mysqli_fetch_array($sql_encabezado);
		$cvdm = intval($row_encabezado['cve_delmun']);
		$cves = intval($row_encabezado['cve_estado']);
		
		//Consulta Datos Del/Mun
		$sqld_encabezado = mysqli_query($con ,"SELECT * FROM geoyos_jc.dxdelmun where cve_delmun = '$cvdm'");
		@$rowd_encabezado = mysqli_fetch_array($sqld_encabezado);
		
		//Consulta Datos Estado 
		$sqle_encabezado = mysqli_query($con ,"SELECT * FROM geoyos_jc.dxestado where cve_estado = '$cves'");
		@$rowe_encabezado = mysqli_fetch_array($sqle_encabezado);


			
		@$resu1=mysqli_query($con ,"select * from dgger_cajerosj where n_rec = '".$_REQUEST['rec_caj']."'");
		@$rego1=mysqli_fetch_array($resu1);
		@$resu=mysqli_query($con ,"select * from dgcatven where cod_ven = '".$rego1['vendedor']."'");
		@$rego=mysqli_fetch_array($resu);
		
		//$this->SetMargins(0,0,5);
	    //Logotipo
	   	/*$logo='logos/'.$_SESSION['base'].'.jpg';
		$this->Image($logo,0,0,65,20);
		$this->Cell(65,20,'',0,1,'C',0);*/
		//Arial Bold (14)
		
	    //$this->SetFontSize(14);
		
		//$this->Ln(2);
		//$this->SetFillColor(192,192,192);
		//$this->MultiCell(63,6,$row_encabezado['nom_emp'],0,'C');
		echo "\t".$row_encabezado['nom_emp'].chr(13).chr(10);
		//$this->SetFontSize(10);
		//$this->MultiCell(63,5,' '.$row_encabezado['calle']." No.".$row_encabezado['no_ext'].' Int.'.$row_encabezado['no_int'],0,'C');
		echo "".$row_encabezado['calle']." No.".$row_encabezado['no_ext'].' Int.'.$row_encabezado['no_int'].chr(13).chr(10);
		echo 'Col. '.$row_encabezado['des_col'].", ".$rowd_encabezado['des_delmun']." ".$rowe_encabezado['des_estado'].chr(13).chr(10);
		echo ' C.P.'.$row_encabezado['cod_pos'].' Tel.: '.$row_encabezado['telefono01'].' Fax: '.$row_encabezado['fax01'].chr(13).chr(10);
		echo "\tRFC:".$row_encabezado['rfc'].chr(13).chr(10);
		echo "VENDEDOR: ".$rego['nom_ven'] . ' ' . $rego['ap_pat_ven'].chr(13).chr(10);
		echo '  Ven:'.str_pad($rego1['pedido'],7,'0',STR_PAD_LEFT).' Fec: '.date('d/m/Y').' '.date('H:i:s').chr(13).chr(10);
		echo "CAN.    ARTICULO  P.U.  TOTAL".chr(13).chr(10);
		/*$this->MultiCell(63,5,'Col. '.$row_encabezado['des_col'].", ".$rowd_encabezado['des_delmun']." ".$rowe_encabezado['des_estado'],0,'C');
		$this->Cell(63,5,' C.P.'.$row_encabezado['cod_pos'].' Tel.: '.$row_encabezado['telefono01'].' Fax: '.$row_encabezado['fax01'],0,1,'C');
		$this->SetFontSize(10);
		$this->Cell(63,5,'RFC:'.$row_encabezado['rfc'],0,1,'C',0);
		$this->Ln(2);
		  //$this->SetFont('arial','',8);
		$this->Cell(63,5,"VENDEDOR: ".$rego['nom_ven'] . ' ' . $rego['ap_pat_ven'],0,1,'C');
		//$this->Cell(65,3,"CAJERO: ".$rego['nom_ven'] . ' ' . $rego['ap_pat_ven'],0,1,'C');
		$this->Cell(63,5,'  Ven:'.str_pad($rego1['pedido'],7,'0',STR_PAD_LEFT).' Fec: '.date('d/m/Y').' '.date('H:i:s'),0,1,'L');
		//$this->SetFont('arial','',8);
		$this->Ln(5);
		$this->Cell(9,4,'CANT.',0,0,'L');
		$this->Cell(29,4,'ARTICULO',0,0,'C');
		$this->Cell(14,4,'PU.',0,0,'C');
		$this->Cell(14,4,'TOTAL',0,1,'C');*/

if(!isset($_REQUEST['rec_caj']))
	$_REQUEST['rec_caj']=$_REQUEST['bot'];
@$resu1=mysqli_query($con ,"select * from dgger_cajerosj where n_rec = '".$_REQUEST['rec_caj']."'");
@$rego1=mysqli_fetch_array($resu1);

@$resu2=mysqli_query($con ,"select * from dgpemema where fol_ven = '".$rego1['pedido']."'");
@$rego2=mysqli_fetch_array($resu2);

@$resu3=mysqli_query($con ,"select * from dgpememd where cons_ven = '".$rego1['pedido']."'");

$noRegsDetalle=mysqli_num_rows($resu3);

while(@$rego3=mysqli_fetch_array($resu3)){
	@$resux=mysqli_query($con ,"SELECT * FROM dginvent WHERE dginvent.modulo='".$_SESSION['mod_sis']."' AND   nparte1 = '".$rego3['nparte1']."'");
	@$regox=mysqli_fetch_array($resux);
	echo str_pad($rego3['can_ref'],5,' ',STR_PAD_LEFT);
	echo "  ".$regox['np_desc1'].chr(13).chr(10);
	echo str_pad($rego3['nparte1'],10,' ',STR_PAD_RIGHT)." ".str_pad(number_format($rego3['pre_bas'],2,'.',','),6,' ',STR_PAD_LEFT)." ".str_pad(number_format($rego3['total_cd'],2,'.',','),6,' ',STR_PAD_LEFT).chr(13).chr(10).chr(13).chr(10);
	$numeroArticulos++;

}

echo chr(13).chr(10)."\t\tTotal:   $".str_pad(number_format($rego1['imp_pag'],2,'.',','),12,' ',STR_PAD_LEFT);
echo chr(13).chr(10)."\t\tCambio:  $".str_pad(number_format($rego1['cambio'],2,'.',','),12,' ',STR_PAD_LEFT);
?>
